{% extends 'main/layout.html' %}
{% load static %}

{% block title %}{{ title }}{% endblock %}

{% block main %}

<section class="bigslider">
    <h1 class="bigslider__title">{{ title }}</h1>
    <div class="uk-position-relative uk-visible-toggle uk-light bigslider__container" tabindex="-1" uk-slider="center: true">
        <ul class="uk-slider-items uk-grid bigslider__list">
            {% for film in best_films %}
                {% if film.category == category %}
                        <li class="uk-width-3-4 bigslider__item">
                            <a href="{% url 'film' filmurl=film.url %}" class="bigslider__link" aria-label="{{ film.name }}">
                                <img src="{% static film.img %}" alt="{{ film.name }}" class="bigslider__img">
                            </a>
                        </li>
                {% endif %}
            {% endfor %}
        </ul>
        <a class="uk-position-center-left uk-position-small uk-hidden-hover" href="#" uk-slidenav-previous uk-slider-item="previous" aria-label="Следующий"></a>
        <a class="uk-position-center-right uk-position-small uk-hidden-hover" href="#" uk-slidenav-next uk-slider-item="next" aria-label="Предыдущий"></a>
    </div>
</section>
<section class="recommend">
    <h2 class="recommend__title">Рекомендации</h2>
    <div class="uk-position-relative uk-visible-toggle uk-light recommend__container" tabindex="-1" uk-slider="sets: true">
        <ul class="uk-slider-items uk-child-width-1-2 uk-child-width-1-3@m recommend__list">
            {% for film in recommend_films %}
                {% if film.category == category %}
                    <li class="recommend__item">
                        <a href="{% url 'film' filmurl=film.url %}" class="recommend__link" aria-label="{{ film.name }}">
                            <img src="{% static film.img %}" alt="{{ film.name }}" class="recommend__img">
                        </a>
                    </li>
                {% endif %}
            {% endfor %}
        </ul>
        <a class="uk-position-center-left uk-position-small uk-hidden-hover" href="#" uk-slidenav-previous uk-slider-item="previous" aria-label="Следующий"></a>
        <a class="uk-position-center-right uk-position-small uk-hidden-hover" href="#" uk-slidenav-next uk-slider-item="next" aria-label="Предыдущий"></a>
    </div>
</section>
<section class="new">
    <h2 class="new__title">Новинки</h2>
    <div class="uk-position-relative uk-visible-toggle uk-light new__container" tabindex="-1" uk-slider="sets: true">
        <ul class="uk-slider-items uk-child-width-1-2 uk-child-width-1-3@m new__list">
            {% for film in new_films %}
                {% if film.category == category %}
                    <li class="new__item">
                        <a href="{% url 'film' filmurl=film.url %}" class="new__link" aria-label="{{ film.name }}">
                            <img src="{% static film.img %}" alt="{{ film.name }}" class="new__img">
                        </a>
                    </li>
                {% endif %}
            {% endfor %}
        </ul>
        <a class="uk-position-center-left uk-position-small uk-hidden-hover" href="#" uk-slidenav-previous uk-slider-item="previous" aria-label="Следующий"></a>
        <a class="uk-position-center-right uk-position-small uk-hidden-hover" href="#" uk-slidenav-next uk-slider-item="next" aria-label="Предыдущий"></a>
    </div>
</section>
<section class="catalog">
    <h2 class="catalog__title">Каталог</h2>
    <ul class="catalog__list">
        {% for film in films %}
            {% if film.category == category %}
                <li class="catalog__item">
                    <a href="{% url 'film' filmurl=film.url %}" class="catalog__link">
                        <img src="{% static film.img %}" alt="{{ film.name }}" class="catalog__img">
                    </a>
                </li>
            {% endif %}
        {% endfor %}
    </ul>
</section>



{% endblock %}